package de.ivu.elect.business.praesentation.entity;

import de.ivu.elect.jee.presentation.charts.AbstractChartModelBuilder;

public enum PraesentationUploadServiceStatus {

  DEAKTIVIERT {
    @Override
    public boolean isAktiv() {
      return false;
    }

    @Override
    public String getColor() {
      return AbstractChartModelBuilder.GELB;
    }
  },

  AKTIVIERT {
    @Override
    public boolean isAktiv() {
      return true;
    }

    @Override
    public String getColor() {
      return AbstractChartModelBuilder.GRUEN;
    }
  },

  FEHLERHAFT {
    @Override
    public boolean isAktiv() {
      return false;
    }

    @Override
    public String getColor() {
      return AbstractChartModelBuilder.ROT;
    }
  };

  public abstract boolean isAktiv() ;
  public abstract String getColor();
}
